function out=read_range(value)
figure(1);
ButtonHandle=uicontrol('Style','PushButton','String','Stop','Callback','delete(gcbf)');


while(1)
    out=read_sig(value);
    disp(out);
    if ~ishandle(ButtonHandle)
        disp('Loop Stopped');
    break;
end

end